<template>
  <main
    class="app"
    :class="{
    'app_light': !isDark,
    'app_dark': isDark
  }">
    <div class="app__container">
      <v-slider v-model="isDark" />

      <calculator msg="Welcome to Your Vue.js App" />
    </div>
  </main>
</template>

<script>
import Calculator from '@/components/Calculator/index.vue';
import VSlider from '@/components/Slider.vue';

export default {
  name: 'App',
  components: {
    VSlider,
    Calculator,
  },
  data() {
    return {
      isDark: false,
    };
  },
  created() {
    const matched = window.matchMedia('(prefers-color-scheme: dark)').matches;

    if (matched) {
      this.isDark = true;
    }
  },
};
</script>

<style lang="scss">
.app {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  transition: background-color $transitionDuration;

  &_light {
    --view-color: #FAFAFA;
    --main-color: #FFFFFF;
    --equal-color: #3CA1FF;
    --operand-color: #3CE6BD;
    --text-color: #000000;
    --result-color: #000000;
    background-color: var(--main-color);
  }

  &_dark {
    --view-color: #2E3649;
    --main-color: #374057;
    --equal-color: #50DCCB;
    --operand-color: #48526B;
    --text-color: #8A97BB;
    --result-color: #77F8D9;
    background-color: var(--main-color);
  }
}

.app__container {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  height: 100%;

  @media screen and (min-width: $calculatorWidth) {
    width: 300px;
    height: 671px;
  }
}
</style>
